Subject: Re: bug#22574: 24.5; Mouse pointer border color is set to `Emacs.background` value defined in ~/.Xresources

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2020 23:55:27 +0100

Michal Rus <[email-masked]> writes:

> 1. $ printf 'Emacs.background: #ff0000\nEmacs.pointerColor: #00ff00\n'
>> ~/.Xresources
>
> 2. $ emacs
>
> 3. Evaluate: (set-background-color "blue")
>
> 4. The pointer border is red…
>
> There seems to be no .Xresources setting to change the border. Other
> applications use *pointerColor2 or *pointerColorBackground to define
> this color.

Sounds like a good idea, but when testing this stuff out, I can't really
find that Emacs reacts to pointerColor at all.  I've tried different
toolkits, but the pointer stubbornly is black with a white outline no
matter what I do.  The -mc parameter has no effect for me, either.

Anybody know what's going on?  Perhaps Gnome Shell is overriding the
colours somehow?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no